<?php
namespace Teknisa\FAI\Modules\Relatorio\Controllers;


use Zeedhi\Framework\DTO;
use Zeedhi\Framework\Report\ReportService;

class Fai13000ResumoDeFaturamento extends \Zeedhi\Framework\Controller\Report {

	protected $qr2Strategy;
	protected $reportService;

    public function __construct(ReportService $reportService, $qr2Strategy) {
        $this->qr2Strategy  = $qr2Strategy;
        $this->reportService  = $reportService;
    }

	protected $reportMapping = array (
		'fai13000' =>
		array (
			'strategy' => 'QR2',
			'parameterMapping' =>
			array (
				'FILIAL'  	=> 'P_CDFILIAL',
				'TCDFILIAL'  => 'P_TODOS',
				'DTINICIAL' => 'P_DTINICIAL',
				'DTFINAL'   => 'P_DTFINAL'
			)
		)
	);
	
    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
        $row = $request->getRow();
        $this->qr2Strategy->setQr2Type($row['QR2TYPE']);
    }
}